Bug 150483 - [patch] www/trac: introduce Babel dependency
Summary: [patch] www/trac: introduce Babel dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-11 07:00 UTC by Eygene Ryabinkin
Modified: 2010-10-12 07:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eygene Ryabinkin 2010-09-11 07:00:14 UTC
Current Trac port requires no Babel (devel/py-babel), but it behaves
differently when Babel is present and when it is not present in the
system. Most notably, when one installs Trac 0.12 without installed
Babel and installs Babel later, Trac will refuse to work with the error
"KeyError: trac/locale".

There is Trac ticket about this:
  http://trac.edgewall.org/ticket/9439

There is an announcement that Trac 0.12 has i18n/L10n and uses Babel
for it:
  http://trac.edgewall.org/wiki/TracL10N

Fix: 

We should just add Babel dependency.  Here is the patch for this:
  http://codelabs.ru/fbsd/ports/trac/0.12-add-babel-dependency.diff

It was tested on our Trac 0.12; updated port passed Tinderbox builds
for 7.x/8.x and 9.x.

There is one issue: when Babel will be installed, Trac will start to
use speaker's natural locale (it uses browser charset negotiation)
and that't not desirable for every installation, since some translations
are very "unnatural".  Trac 0.12.1 will have the knob 'default_language'
that will allow Trac administrator to specify the default L10n language.
I had extracted that patch from the 0.12 repository, added it to our
Trac and tested for some days.  It works fine and behaves as expected.
The patch that can be dropped to port's files/ directory is available
at the following URL:
  http://codelabs.ru/fbsd/ports/trac/0.12-upstream-patch-add-default_language-knob.diff
How-To-Repeat: 
Install Trac when no devel/py-babel is present in the system, install
py-babel and watch how Trac will be broken: it will refuse to work giving
the message "KeyError: trac/locale".
Comment 1 Edwin Groothuis freebsd_committer 2010-09-11 07:00:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clsung

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Eygene Ryabinkin 2010-09-17 18:43:36 UTC
Gentlemen, can we push this PR into the review?
-- 
Eygene
 _                ___       _.--.   #
 \`.|\..----...-'`   `-._.-'_.-'`   #  Remember that it is hard
 /  ' `         ,       __.--'      #  to read the on-line manual
 )/' _/     \   `-_,   /            #  while single-stepping the kernel.
 `-'" `"\_  ,_.-;_.-\_ ',  fsc/as   #
     _.-'_./   {_.'   ; /           #    -- FreeBSD Developers handbook
    {_.-``-'         {_/            #
Comment 3 Eygene Ryabinkin 2010-10-03 21:41:38 UTC
Fri, Sep 17, 2010 at 09:43:36PM +0400, Eygene Ryabinkin wrote:
> Gentlemen, can we push this PR into the review?

Anyone?
-- 
Eygene
 _                ___       _.--.   #
 \`.|\..----...-'`   `-._.-'_.-'`   #  Remember that it is hard
 /  ' `         ,       __.--'      #  to read the on-line manual
 )/' _/     \   `-_,   /            #  while single-stepping the kernel.
 `-'" `"\_  ,_.-;_.-\_ ',  fsc/as   #
     _.-'_./   {_.'   ; /           #    -- FreeBSD Developers handbook
    {_.-``-'         {_/            #
Comment 4 Philip M. Gollucci freebsd_committer 2010-10-11 22:03:50 UTC
Responsible Changed
From-To: clsung->pgollucci

committer&maintainer timeout (clsung ; 30 days) / last commit: 21 days 
ago
Comment 5 Philip M. Gollucci freebsd_committer 2010-10-11 23:41:25 UTC
State Changed
From-To: open->closed

Committed, Thanks!
Comment 6 dfilter service freebsd_committer 2010-10-12 07:20:37 UTC
pgollucci    2010-10-12 06:20:30 UTC

  FreeBSD ports repository

  Modified files:
    www/trac             Makefile 
  Added files:
    www/trac/files       patch-trac__util__translation.py 
                         patch-trac__web__main.py 
  Log:
  - Fix http://trac.edgewall.org/ticket/9439, http://trac.edgewall.org/wiki/TracL10N
  - Bump PORTREVISION
  
  Current Trac port requires no Babel (devel/py-babel), but it behaves
  differently when Babel is present and when it is not present in the
  system. Most notably, when one installs Trac 0.12 without installed
  Babel and installs Babel later, Trac will refuse to work with the error
  "KeyError: trac/locale".
  
  PR:             ports/150483
  Submitted by:   Eygene Ryabinkin <rea-fbsd@codelabs.ru>
  Approved by:    maintainer timeout (clsung ; 30 days)
  
  Revision  Changes    Path
  1.49      +3 -1      ports/www/trac/Makefile
  1.1       +35 -0     ports/www/trac/files/patch-trac__util__translation.py (new)
  1.1       +58 -0     ports/www/trac/files/patch-trac__web__main.py (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"